4Suite™ API Documentation

# ► Module Ft.Xml.XPath.MathFunctions

4XPath-specific math extension functions

    Copyright 2005 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Functions: Cos, DegreesToRads, Fact, Sin |  |  |  | Globals: ExtFunctions, ExtNamespaces, FT_EXT_NAMESPACE

## Functions

Cos(context, x)
  math.cos
DegreesToRads(context, x)
  Convert degrees to radians
Fact(context, x)
  Factorial
Sin(context, x)
  math.sin

## Globals

ExtFunctions = {('http://xmlns.4suite.org/ext', 'cos'): <function Cos>, ('http://xmlns.4suite.org/ext', 'degrees-to-rads'): <function DegreesToRads>, ('http://xmlns.4suite.org/ext', 'fact'): <function Fact>, ('http://xmlns.4suite.org/ext', 'sin'): <function Sin>}
ExtNamespaces = {'http://xmlns.4suite.org/ext': 'f'}
FT_EXT_NAMESPACE = 'http://xmlns.4suite.org/ext'